package com.test.questionnairesdk

import android.os.Bundle
import android.webkit.WebView
import androidx.appcompat.app.AppCompatActivity
import com.test.questionnairesdk.library.AskribeParams
import com.test.questionnairesdk.library.AskribeSDK
import com.test.questionnairesdk.library.DistributionType

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        AskribeSDK.initialize("gibberish")
        val askribeParams = AskribeParams()
        askribeParams.questionnaireId = "61dce2b94801901e1b9c763b"
        askribeParams.workspaceId = "61d8257d480190135db7671a"
        askribeParams.distributionType = DistributionType.APP_EMBED
        AskribeSDK.showQuestionnaire(this, askribeParams)


        WebView.setWebContentsDebuggingEnabled(true)

    }


}
